Opening an ‘Enterprise Encyclopedia’ results in error “The catalog on SQL Server <NAME>\SYSARCH was created using a more recent version than you are using, and cannot be opened” in Rational System Architect

Technote (troubleshooting)


Problem(Abstract)

Attampts to open an "Enterprise Encyclopedia" results in error “The catalog on SQL Server <NAME>\SYSARCH was created using a more recent version than you are using, and cannot be opened” in IBM Rational System Architect

Symptom

You cannot open an "Enterprise Encyclopedia" in an older version of SA where the "Enterprise Catalog" has been upgraded by a newer version of SA even though the "Enterprise Encyclopedia" has not been upgraded.

Subsequent attempts to open the "Enterprise Encyclopedia" in the older version of SA will result in the following message:


The catalog on SQL Server `NAME\Sysarch`was created using a more recent version than you are using, and cannot be opened.
Please refer to your System Administrator, or contact Customer Support.

Cause

You have a mixed environment of old and new versions of SA. You have upgraded the "Enterprise Catalog" to a newer version of SA. You have not upgraded the "Enterprise Encyclopedia".

Resolving the problem

All clients should upgrade their client to the same version. It is recommend that you use the same version of SA for every installation in your company.

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Rational System Architect
Documentation

Software version:

11.4, 11.4.0.1, 11.4.0.2, 11.4.0.3, 11.4.1, 11.4.1.1, 11.4.1.2, 11.4.2, 11.4.2.1, 11.4.2.2

Operating system(s):

Windows

Reference #:

1628058

Modified date:

2013-03-15

Translate my page

Machine Translation

Content navigation